// see License.txt for copyright and terms of use

// Process command-line arguments.

#ifndef GARBURATOR_CMD_H
#define GARBURATOR_CMD_H

#include "oink_cmd.h"
#include "oink_file.h"          // File

class GarburatorCmd : public virtual OinkCmd {
  public:
  bool debug; // printout more info

  GarburatorCmd();

  void readOneArg(int &argc, char **&argv);
  void dump();
  void printHelp();
  void initializeFromFlags();
};

#endif // GARBURATOR_CMD_H
